> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/modifyloadbalancersname.md).

# ModifyLoadBalancersName

## 1. API Description

This API (ModifyLoadBalancersName) is used to modify the name of a load balancer.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type            | Description                                                                                                                                         |
| ---------------- | -------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| loadBalancerName | Yes      | String          | <p>The name of the load balancer.</p><p>This parameter can contain up to 64 characters. Only letters, numbers, - and periods (.) are supported.</p> |
| loadBalancerIds  | Yes      | Array of String | Load balancer ID list.                                                                                                                              |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the name of the load balancer instance.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyLoadBalancersName
<Common Request Params>

Request:
{
  "LoadBalancerIds": ["xxxx"],
  "loadBalancerName": "xxxx"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
